import { GithubService } from './github';
import { BitbucketService } from './bitbucket';
import { BitbucketServerService } from './bitbucket-server';
import { GitlabService } from './gitlab';
export declare const providers: {
    GITHUB: string;
    BITBUCKET: string;
    BITBUCKET_SERVER: string;
    GITLAB: string;
};
export declare class GitProviders {
    static get(provider: any): typeof GithubService | typeof BitbucketService | typeof BitbucketServerService | typeof GitlabService;
    static getTheMostRecentCommit(prs: any, inputs: any): any;
}
//# sourceMappingURL=index.d.ts.map